
Figure - Bug #118384
Bug # 118345 (CLOSED): 【IOVDEV-31216】【IOVDEV-32257】【VC1】【0095】【台架】【EE环境】【副屏】monkey命令自动停止了

【IOVDEV-31641】【VC1】【0095】【台架】【EE环境】【副屏】2023年05月30日晚上九点执行的monkey命
令，05月31号早上07点33分monkey命令自动停止了
2023-05-31 11:09 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230531 07:33

【前提条件】：副屏上电，网络正常

【操作步骤】

1.05月30日晚上九点执行的monkey命令。

【实际结果】

1.05月31号早上07点33分monkey命令自动停止了。

【期望结果】

1.monkey命令进行中状态。

【备注】：

台架Log地址：

【当前开机次数】：副屏第142次开机

【应用版本】：/

【VIN】：HRYTTESTVINMGM401

【硬件版本号】：/

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-31 11:09 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118384/1685502464899.zip
#2 - 2023-05-31 11:56 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

Hi 王成

此票与 #118345 相同，surfaceflinger挂了

我们将在 #118345 中跟踪处理

05-31 07:33:41.737 27956 27956 E DEBUG   : failed to read /proc/uptime: Permission denied

05-31 07:33:41.815 27956 27956 F DEBUG   : * 

05-31 07:33:41.815 27956 27956 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-31 07:33:41.815 27956 27956 F DEBUG   : Revision: '0'

05-31 07:33:41.815 27956 27956 F DEBUG   : ABI: 'arm64'

05-31 07:33:41.815 27956 27956 F DEBUG   : Timestamp: 2023-05-31 07:33:41.737479925+0800

05-31 07:33:41.815 27956 27956 F DEBUG   : Process uptime: 0s

05-31 07:33:41.815 27956 27956 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-31 07:33:41.815 27956 27956 F DEBUG   : pid: 965, tid: 3149, name: Binder:965_5  >>> /system/bin/surfaceflinger <<<

05-31 07:33:41.815 27956 27956 F DEBUG   : uid: 1000

05-31 07:33:41.815 27956 27956 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

05-31 07:33:41.815 27956 27956 F DEBUG   : Cause: null pointer dereference

05-31 07:33:41.815 27956 27956 F DEBUG   :     x0  b400007b785632d8  x1  b400007a2834e358  x2  b400007a5855da10  x3  0000000000000001

05-31 07:33:41.815 27956 27956 F DEBUG   :     x4  0000000000000018  x5  b400007a2835da90  x6  b400007a584c0c10  x7  b400007a584c0c10

05-31 07:33:41.815 27956 27956 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 0000000000000004  x11 0000000000000020

05-31 07:33:41.815 27956 27956 F DEBUG   :     x12 000000000000000d  x13 00000000a6a12ce8  x14 00006567ca9d8800  x15 0000000034155555

05-31 07:33:41.815 27956 27956 F DEBUG   :     x16 00000055ed176c00  x17 0000007cffda8dd4  x18 00000079d4264000  x19 0000000000000000

05-31 07:33:41.815 27956 27956 F DEBUG   :     x20 b400007a5855da10  x21 b400007a2834e358  x22 b400007a5855d9f0  x23 0000007cffdad484

05-31 07:33:41.815 27956 27956 F DEBUG   :     x24 b400007a5855d9f0  x25 00000079d6f49000  x26 00000079d6f48ff8  x27 00000000000fc000

05-31 07:33:41.815 27956 27956 F DEBUG   :     x28 00000079d6e50000  x29 00000079d6f48990

05-31 07:33:41.815 27956 27956 F DEBUG   :     lr  00000055ecce6878  sp  00000079d6f48990  pc  0000007cffda8de0  pst 0000000060001000

05-31 07:33:41.815 27956 27956 F DEBUG   : backtrace:

05-31 07:33:41.815 27956 27956 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #01 pc 000000000015b874  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void*, void const*, unsigned long) const+80) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #02 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #03 pc 00000000001a4ba8  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #04 pc 000000000015b65c  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #05 pc 000000000015b5e4  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #06 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 07:33:41.815 27956 27956 F DEBUG   :       #07 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

05-31 07:33:41.816 27956 27956 F DEBUG   :       #08 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

05-31 07:33:41.816 27956 27956 F DEBUG   :       #09 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:
07bc4d4147790b1e0ac44f7625168f4a)

05-31 07:33:41.816 27956 27956 F DEBUG   :       #10 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 07:33:41.816 27956 27956 F DEBUG   :       #11 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 07:33:41.816 27956 27956 F DEBUG   :       #12 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-31 07:33:41.816 27956 27956 F DEBUG   :       #13 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

#3 - 2023-05-31 16:19 - CDTS-TEST 周婷

- Due date set to 2023-06-05

- Parent task set to #118345

#4 - 2023-06-02 16:54 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 16:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
